﻿using Model.OrderCriteria;

namespace Shared;

public interface IInquiryService<TInquiry> : IGenericDataService<TInquiry> where TInquiry : class
{
    public IEnumerable<TInquiry> GetInquiries(int page, int number, InquiryOrderCriteria orderCriteria);
    public TInquiry GetInquiryById(int id);
    public TInquiry GetInquiryByTitle(string title);
    public bool DeleteInquiry(int id);
    public TInquiry UpdateInquiry(int id, TInquiry inquiry);
    public TInquiry CreateInquiry(string title, string description, bool isUser);
}